# Uses of Interface
org.eclipse.birt.report.engine.content.INode

Packages that use INode
Package
Description
org.eclipse.birt.report.engine.content
Defines interfaces of BIRT report items for Engine to pass from executors to emitters.

## Uses of INode in org.eclipse.birt.report.engine.content

Methods in org.eclipse.birt.report.engine.content that return INode
Modifier and Type
Method
Description
`INode`
INode.`getNext()`
Get the sibling node immediately following the specified node.
`INode`
INode.`getParent()`
Get the parent of the node, or return null if the node is in tree top level.
`INode`
INode.`getPrevious()`
Get the sibling node immediately preceding the specified node.
Methods in org.eclipse.birt.report.engine.content with parameters of type INode
Modifier and Type
Method
Description
`void`
INode.`appendChild(INode child)`
Append a child to this node.
`void`
INode.`setNext(INode next)`
Set the sibling node immediately following the specified node.
`void`
INode.`setParent(INode parent)`
Set the parent of the node.
`void`
INode.`setPrevious(INode previous)`
Set the sibling node immediately preceding the specified node.